* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    width: 100%;
    height: 100%;
}

:root {
    --color-bkg-page: #f6f6f6;
	--color-primary: #d26e4b;
    --color-2: #364426;
    --font-main: "Plus Jakarta Sans", sans-serif;;
    --font-family-heading: "Roboto", sans-serif;

    --color-gray-3: #DFE5EF;
    --color-text-input: rgb(63 63 71);

    /*  Table  */
    --border-radius: 8px;
    --table-padding-top: 10px;


    /*  Chart  */
    --color-chart-primary: #d26e4b;
    --color-chart-primary-light: #f09479;
    --color-chart-primary-lighter: #f9d9d1;
    --color-chart-primary-dark: #c25e3a;
    --color-chart-primary-darker: #a14e2e;
}
body {
    font-family: var(--font-main);
    font-size: 16px;
    width: 100vw;
    overflow-x: hidden;
}
.text-input {
    color: var(--color-text-input) !important;
}
.text-primary {
    color: var(--color-primary);
}
.text-2 {
    color: var(--color-2);
}
.cs-main {
    background-color: var(--color-bkg-page);
}
h1, h2, h3, h4, h5, h6 {
    font-family: var(--font-main);
}
.font-primary {
    font-family: var(--font-main);
}

div:where(.swal2-container) h2:where(.swal2-title) {
    font-size: 1rem;
}

.cs-login-form {
    position: fixed;
    right: 0;
    width: 100%;
    max-width: 544px;
    top: 0;
    height: 100%;
    background-color: #fff;
}


/* Admin Medical */

.cc-table tr {
    
    border-top: var(--table-padding-top) solid #f1f5f9 !important;
    border-bottom: var(--table-padding-top) solid #f1f5f9 !important;
}

.row-item {
    /* background: white; */

}
.row-item > div {
    width: 100%;
    height: 100%;
    /* border-top: 1px solid var(--color-gray-3); */
    /* background: #FFF; */
    line-height: 1.5rem;
    display: flex;
    align-items: center;
}

.last-td.row-item > div {
  justify-content: flex-end;
  padding-right: 1rem;
}


.first-td {
    
    
}

.last-td  {
    
    
}
table {
  height: 1px;
}
table .last-td > div {
  border-radius: 0 var(--border-radius) var(--border-radius) 0 !important;
  
}
table .first-td > div {
  border-radius: var(--border-radius) 0 0 var(--border-radius) !important;
  
}

th.row-item > div {
    /* background: #F9FCFF; */
    /* color: #86929E; */
    /* font-weight: 400; */
    /* overflow: hidden; */
}
.cc-table, 
.cc-table th, 
.cc-table td,
.cc-table tr,
.cc-table tbody,
.cc-table thead {
    border: unset;
}

/* Modal  */

/* .cc-modal {
    display: block; 
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
}

.cc-modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: fit-content;
    border-radius: 0.75rem;
} */


.cc-modal {
    display: flex;
    justify-content: center;   /* căn giữa theo chiều ngang */
    align-items: center;       /* căn giữa theo chiều dọc */
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
}

.cc-modal-content {
    background-color: #fefefe;
    padding: 20px;
    border: 1px solid #888;
    width: fit-content;
    max-width: 90%;            /* giới hạn chiều ngang trên mobile */
    border-radius: 0.75rem;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3); /* hiệu ứng nổi bật */
}

/* Loading */

@keyframes progress {
    0% {
        width: 0%;
    }
    20% {
        width: 80%;
    }
    100% {
        width: 100%;
    }
  }
  
  ._animate-progress {
    animation: progress 5s linear infinite;
  }
  .button_actions {
        box-sizing: unset;
  }

  .menuList {
    right: 100%;
  }
  .showMenu {
    right: 0;
  }


  /* SELECT2  */

  input, select, textarea {
    padding: 0.625rem !important;
    color: var(--color-text-input) !important;
    
  }
  /* Custom styles to make Select2 work with Tailwind */
  .select2-container--default .select2-selection--single {
    height: 50px !important;
    border: 1px solid #e5e7eb !important; /* Tailwind's gray-200 */
    border-radius: 0.375rem !important; /* rounded-md */
  }
  .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 50;
    padding-left: 0.75rem; /* px-3 */
  }
  .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 50px;
  }
  .select2-container--default .select2-dropdown {
    border: 1px solid #e5e7eb; /* gray-200 */
    border-radius: 0.375rem; /* rounded-md */
  }
  .select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #3b82f6; /* blue-500 */
  }
  .select2-selection__arrow{
    visibility: hidden !important;
  }

  .select2-container--default .select2-selection--single .select2-selection__rendered {
    /* color: #e2e8f0 !important; */
    color: var(--color-text-input) !important;
    line-height: 50px !important;
  }
  
  .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 50px;
    position: absolute;
    top: 1px;
    right: 1px;
    width: 20px;
    color: var(--color-text-input) !important;
  }
  .select2-selection__clear {
    visibility: hidden !important;
  }
  .select2-results__option {
    padding: 0.7rem !important;
  }
  .select2-search--dropdown .select2-search__field {
    padding: 0.5rem !important;
  }


  input:focus:not(#searchProject, #searchUser, #searchPharmacy),
  textarea:focus,
  select:focus {
      outline-color: #03045E !important;
      /* outline: 1px solid #03045E !important; */
      outline-offset: 1px !important;
  }